# UtilityService

Package io.milvus.v2.service.utility

## Class UtilityService

- java.lang.Object
- - io.milvus.v2.service.BaseService
  - - io.milvus.v2.service.utility.UtilityService

    public class UtilityService
    extends BaseService

### Field Summary

### Fields inherited from class io.milvus.v2.service.BaseService

`convertUtils, dataUtils, rpcUtils, vectorUtils`

### Constructor Summary

Constructors
`UtilityService()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `alterAlias​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, AlterAliasReq request)`
`void` `createAlias​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, CreateAliasReq request)`
`DescribeAliasResp` `describeAlias​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, DescribeAliasReq request)`
`void` `dropAlias​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, DropAliasReq request)`
`R<RpcStatus>` `flush​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, FlushReq request)`
`ListAliasResp` `listAliases​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, ListAliasesReq request)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UtilityService

    public UtilityService()

### Method Detail

#### flush

    public R<RpcStatus> flush​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                              FlushReq request)

#### createAlias

    public void createAlias​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                            CreateAliasReq request)

#### dropAlias

    public void dropAlias​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                          DropAliasReq request)

#### alterAlias

    public void alterAlias​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                           AlterAliasReq request)

#### describeAlias

    public DescribeAliasResp describeAlias​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                           DescribeAliasReq request)

#### listAliases

    public ListAliasResp listAliases​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                     ListAliasesReq request)